// card
.card>.badge {
    font-size: .75rem;
    padding: .5rem 1.5rem;
}

.bg-light strong {
    color: $blue;
}

.card-product-detail .card-body strong {
    font-weight: 700;
    color: #FF7878;
}

// @include media-breakpoint-up(lg) {
//     .slider-card {
//         .swiper-container {
//             overflow: revert;
//         }
//     }
// }

.rounded-0.rounded-top {
    border-top-left-radius: 2rem !important;
    border-top-right-radius: 2rem !important;
}


.card-article {
    height: 320px; 

    > .badge {
        text-decoration: none;
        right: 0;
        padding: .6rem 1.5rem;
        border-radius: 0 0 0 calc(1.5rem - 1px);
        font-weight: 600;
        font-size: 12px;

        > :not(.badge-pill) {
            margin: 1.5rem 1.2rem;
            border-radius: 0 0 0 1.5rem;
            margin: 0;
            right: 0;
            text-transform: uppercase;
        }
    }

    .card-link {
        height: 100%;
        display: flex;
        flex-direction: column;
    }

    .card-body {
        padding: 1.5rem 1.2rem;
        border-radius: 0 0 1.5rem 1.5rem;
        height: 100%;
        padding-top: 0.5rem;
        .tag {
            font-size: 11px;
            font-weight: 600;
            &.orange::before {
                color: #f7aa67;
            }
        }
    }

    .card-title {
        font-weight: bold;
        font-size: 1.2rem;
        line-height: 120%;
        margin-bottom: 0.8em;

        @include media-breakpoint-up(md) {
            font-size: 1rem;
        }

        @include media-breakpoint-up(lg) {
            font-size: 1.1rem;
        }

        @include media-breakpoint-up(xl) {
            font-size: 1.2rem;
        }

    }

    .card-text {
        color: white;
        font-size: 0.9rem;
        line-height: 152%;
        letter-spacing: 0.01em;

        @include media-breakpoint-up(md) {
            font-size: 0.7rem;
        }

        @include media-breakpoint-up(lg) {
            font-size: 0.8rem;
        }

        @include media-breakpoint-up(xl) {
            font-size: 0.9rem;
        }
    }
}

.swiper-slide.swiper-slide-reward {
    height: auto;
}

.swiper-slide-reward .card-article-reward {
    height: 100%;

    .card-body {
        padding: 1rem 1.2rem;
        display: flex;
        flex-direction: column;
    }

    .card-link {
        flex-grow: 1;
    }
}


// product home & product detail
.card-product {
    margin-bottom: 12rem;
    max-height: 18rem;

    @include media-breakpoint-up(md) {
      max-height: 25rem;
      margin-bottom: 8rem;
    }

    @include media-breakpoint-up(lg) {
        margin-bottom: 10rem;
     }

     @include media-breakpoint-up(xl) {
         margin-bottom: 12rem;
     }

    .card-body {
        padding: 1.4rem 2.5rem;

        @include media-breakpoint-up(md) {
            padding: 1rem 2rem;
        }

        @include media-breakpoint-up(lg) {
            padding: 1.2rem 2.25rem;
        }

        @include media-breakpoint-up(xl) {
            padding: 1.4rem 2.5rem;
        }
    }

    .card-title {
      line-height: 120%;
      letter-spacing: -0.01em;
      font-size: 1.7rem;

      @include media-breakpoint-up(md) {
        font-size: 1.2rem;
        }

        @include media-breakpoint-up(lg) {
            font-size: 1.35rem;
        }

        @include media-breakpoint-up(xl) {
            font-size: 1.5rem;
        }

        @include media-breakpoint-up(xxl) {
            font-size: 1.6rem;
        }
    }

    .card-gram-info {
        @include media-breakpoint-up(md) {
            font-size: 0.8rem;
        }

        @include media-breakpoint-up(lg) {
            font-size: 0.9rem;
        }


        @include media-breakpoint-up(xl) {
            font-size: 1rem;
        }
    }

    .rating-wrapper {
        svg {
            height: 1rem;
        }

        .review-count {
            color: white;
            font-size: 0.9em;
        }
    }

    .swiper-container {
        width: 80%;
        margin: 0 auto;
        overflow: visible;

        @include media-breakpoint-up(md) {
            width: 60%;
        }

    }

    .swiper-wrapper {
        transition-timing-function: linear !important;
    }

    .swiper-slide {
        min-height: 23rem;
        img {
            margin-top: -10%;
            margin-bottom: -36%;
            opacity: 0;
            will-change: opacity;
            transition: opacity 0.4s linear;

            @include media-breakpoint-up(md) {
                will-change: transform;
                transition: transform 0.4s linear;
                transform: scale(0.5) translate(400%);
            }
        }
        >div.text-center {
            min-height: 22rem;
            overflow: hidden;
        }
        .buy-now-homepage {
            opacity: 0;
            will-change: opacity;
            transition: opacity 0s linear 0s;
        }
    }

    .swiper-slide-prev {
        img {
            @include media-breakpoint-up(md) {
                opacity: 0.5;
                transform: scale(0.5) translate(118%);
            }
        }
    }


    .swiper-slide-next {
        img {
            @include media-breakpoint-up(md) {
                opacity: 0.5;
                transform: scale(0.5) translate(-118%);
            }
        }
    }

    .swiper-slide-active {
        z-index: 4;

        img {
            opacity: 1;
            transform: scale(1.1) translate(0);
        }

        .buy-now-homepage {
            opacity: 1;
            will-change: opacity;
            transition: opacity 0.2s linear 0.4s;  
        }
    }

    .swiper-slide-active ~ .swiper-slide:not(.swiper-slide-next) {
        img {
            @include media-breakpoint-up(md) {
                opacity: 0.0;
                transform: scale(0.5) translate(-400%);
            }
        }
    }
    .swiper-button-prev, .swiper-button-next {
        top: 0;
        background-image: url(../images/icon-arrow.svg);
        background-size: 2rem;
        background-repeat: no-repeat;
        background-position: center;
        height: 100%;
        width: 50%;

    }
    .swiper-button-prev {
        left: -30%;
        transform: rotate(180deg);

        @include media-breakpoint-up(md) {
            left: -4rem;
        }

        @include media-breakpoint-up(lg) {
            left: -5rem;
        }

        &:after {
            display: none;
        }
    }

    .swiper-button-next {
        right: -30%;
        @include media-breakpoint-up(md) {
            right: -4rem;
        }

        @include media-breakpoint-up(lg) {
            right: -5rem;
        }


        &:after {
            display: none;
        }
    }


    .swiper-wrapper {
        transition-timing-function: linear;
    }

    .buy-now-homepage {
        margin-top: -1rem;
        position: absolute;
        top: 100%;
        left: 50%;
        transform: translate(-50%);
        width: 13em;


        button {
            display: block;

            @include media-breakpoint-up(md) {
               font-size: 0.8rem;
            }

            @include media-breakpoint-up(lg) {
                font-size: 1rem;
            }
        }
    }


    // legacy
    .carousel {
      max-height: 18rem;
      @include media-breakpoint-up(md) {
        max-height: 24rem;
      }
      .img-fluid {
        margin-bottom: -5rem;
        @include media-breakpoint-up(md) {
          top: -2rem;
        }
      }
    }
    .carousel-control-prev,
    .carousel-control-next {
      max-height: 10rem;
      @include media-breakpoint-up(md) {
        max-height: 12rem;
      }
    }
    .carousel-indicators {
      bottom: -10rem;
      @include media-breakpoint-up(md) {
          bottom: -3rem;
      }
    }
  }




.card.bg-light.card-product-single {
    outline: none !important;
    text-decoration: none;


    h5 {
        font-size: 1rem;

        @include media-breakpoint-up(md) {
            font-size: 1.1rem;
        }

        @include media-breakpoint-up(lg) {
            font-size: 1.2rem;
        }

        @include media-breakpoint-up(xl) {
            font-size: 1.3rem;
        }

        @include media-breakpoint-up(xxl) {
            font-size: 1.4rem;
        }
    }

    p {
        // @include media-breakpoint-up(md) {
        //     font-size: 0.7rem;
        // }

        @include media-breakpoint-up(lg) {
            font-size: 0.8rem;
        }

        @include media-breakpoint-up(xl) {
            font-size: 0.9rem;
        }

        @include media-breakpoint-up(xxl) {
            font-size: 1rem;
        }
    }

    .btn {
        font-size: 0.75em;
        padding: 0.6em 2.2em;
    }

    .media-body {
        padding: 0 1rem;

        @include media-breakpoint-up(md) {
            padding: 0 1rem 0 0.5rem;
        }

        @include media-breakpoint-up(xl) {
            padding: 0 1.5rem 0 0;
        }
    }
}

// tag
.tag {
    color: #fff;
    text-decoration: none;
    margin-right: 1rem;
    &:hover {
        color: #fff;
    }
    &:before {
        content: "\2022";
        color: yellow;
        display: inline-block;
        width: 1em;
        margin-left: 0;
    }
}

// card reward
.no-margin {
    .badge {
        top: 11.5rem!important;
    }
    .m-2 {
        box-shadow: none!important;
        margin: 0!important;
        padding: 1rem;
    }
}